> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate Points

> Updates the status of the points from Pending to Active. When setToPending flag is true, the duration in which the points will be in Pending status must be specified between 0-24 hours. When it is 0, the endpoint must be run manually (otherwise, the points earned will remain in Pending status). When the duration is between 1-24 hours, the points stay in Pending status only for the defined period. This endpoint can be configured to run automatically to activate the points. **Note**: Points in the Pending status reflect in the account balance but they can be redeemed only after they reach the defined threshold value and is in Active status.



## OpenAPI

````yaml member post /v1/members/points-activate
openapi: 3.0.1
info:
  title: Loyalty (Member)
  description: >-
    fabric **Loyalty** formerly **Member** is a Loyalty Management System (LMS)
    that enables marketers to create multiple loyalty strategies under a loyalty
    program to cater to various businesses and customer segments. <br />
    **Member overview**: <br /> During onboarding, you are given the necessary
    **credentials** (client_id and client_secret) to obtain an access token,
    which is required to run every call. Membership hierarchy is organized into
    Programs, Clubs, and Tiers. <br /> **Program** is the first hierarchy level
    and is where rewards and benefits are configured for the organization. <br
    /> **Club** is the second hierarchy level and is where Rules for the program
    are configured. <br />Each Club must have at least one **Tier**, which is
    used to define membership and to configure criteria and thresholds
    (including free vs paid). Additional hierarchy levels can be added to
    support the needs of your business.  <br /> Members are always enrolled into
    a **Default Tier** within a club. When members make purchases, they earn
    Points based on the rules set at the club level and/or based on promotions.
    When points in a member account reach a predefined **Threshold Value**,
    points are converted to **Rewards**. This conversion may be manual or
    automatic depending on the program configuration. Members can **Redeem**
    their rewards within the reward **Expiry Period**. Account point balances
    are updated after each point-impacting activity.
  version: 1.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc
servers:
  - url: https://vanilla-dev02-loyalty.fabric.zone/api
    description: For developers to work outside of the production environment.
  - url: https://vanilla-stg-loyalty.fabric.zone/api
    description: Replica of the production environment for testing.
  - url: https://loyalty-sbx.fabric.zone/api
    description: >-
      An isolated testing environment (UAT) to run programs without affecting
      the application, system or platform on which they run.
  - url: https://loyalty.fabric.zone/api
    description: Production environment.
security:
  - bearerAuth: []
paths:
  /v1/members/points-activate:
    post:
      tags:
        - Members
      summary: Activate Points
      description: >-
        Updates the status of the points from Pending to Active. When
        setToPending flag is true, the duration in which the points will be in
        Pending status must be specified between 0-24 hours. When it is 0, the
        endpoint must be run manually (otherwise, the points earned will remain
        in Pending status). When the duration is between 1-24 hours, the points
        stay in Pending status only for the defined period. This endpoint can be
        configured to run automatically to activate the points. **Note**: Points
        in the Pending status reflect in the account balance but they can be
        redeemed only after they reach the defined threshold value and is in
        Active status.
      operationId: members_points-activate_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PointActivationRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivatePointsResponseClass'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass1'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass2'
components:
  schemas:
    PointActivationRequest:
      required:
        - profileId
      type: object
      description: Details required to activate points
      properties:
        profileId:
          title: Profileid
          description: >-
            Profile ID of the member. It is generated in the response of the
            `Enroll Member` endpoint - POST /v1/members.
          example: f90a1da5-c072-48b7-a9ea-eb35c5dd506b
          type: string
          format: uuid
        startDate:
          title: Startdate
          description: Beginning of the date range, in UTC format
          example: '2020-02-08 00:00:00'
          type: string
          format: date-time
          nullable: true
        endDate:
          title: Enddate
          description: Ending of the date range, in UTC format
          example: '2020-02-08 00:00:00'
          type: string
          format: date-time
          nullable: true
    ActivatePointsResponseClass:
      type: object
      description: Response Details
      properties:
        message:
          title: Message
          minLength: 1
          type: string
          description: Message corresponding to the call
          example: Member points activated
        errors:
          title: Errors
          type: object
          properties: {}
          description: A dictionary of lists with different number of errors or exceptions.
          example: {}
        data:
          title: Data
          type: object
          properties: {}
          description: Returns data in the form of a list of dictionaries or null
          example: null
        status:
          title: Status
          type: integer
          description: Status code of the call
          example: 200
          format: int32
    GenericResponseClass1:
      type: object
      description: Bad request
      properties:
        message:
          title: Message
          minLength: 1
          type: string
          description: Message corresponding to the call.
          example: Error message string
        errors:
          title: Errors
          type: object
          properties: {}
          description: A dictionary of lists with different number of errors or exceptions.
          example:
            ExceptionString:
              - Invalid Field
        data:
          title: Data
          type: object
          properties: {}
          description: Returns data in the form of a list of dictionaries or null
          example: null
        status:
          title: Status
          type: integer
          description: Status code of the call
          example: 400
          format: int32
    GenericResponseClass2:
      type: object
      description: Unauthorized
      properties:
        detail:
          title: Detail
          type: string
          description: Message corresponding to the response
          example: Authentication Failed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````